2009-02-27  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* *: Change to vsc-based completion.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* ValaLanguageBinding.cs: Ordinal compare.

	* Project/ValaProjectBinding.cs: Only create projects for vala
	  files. Fixes nasty crash on xml files.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* ValaBinding.csproj: Remove bad property value.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.sln: Flush.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.csproj: Flush.

2009-02-25  Michael Hutchinson  <mhutchinson@novell.com>

	* ValaBinding.sln: Set policies. Remove unused name attribute.

2009-02-20  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.csproj: Updated references.

2009/02/06  Lluis Sanchez Gual  <lluis@novell.com>

 * ValaBinding.mds:
 * ValaBinding.sln:
 * ValaBinding.mdp:
 * ValaBinding.csproj: Migrated to MSBuild file format.

2009/02/03  Lluis Sanchez Gual  <lluis@novell.com>

 * configure.in:
 * AssemblyInfo.cs:
 * ValaBinding.addin.xml: Bump MD version.

2009/02/03  Lluis Sanchez Gual  <lluis@novell.com>

 * ValaBinding.mds:
 * gtk-gui/generated.cs:
 * gtk-gui/MonoDevelop.ValaBinding.AddPathDialog.cs:
 * gtk-gui/MonoDevelop.ValaBinding.PackageDetails.cs:
 * gtk-gui/MonoDevelop.ValaBinding.AddLibraryDialog.cs:
 * gtk-gui/MonoDevelop.ValaBinding.EditPackagesDialog.cs:
 * gtk-gui/MonoDevelop.ValaBinding.OutputOptionsPanel.cs:
 * gtk-gui/MonoDevelop.ValaBinding.CodeGenerationPanel.cs:
 * gtk-gui/MonoDevelop.ValaBinding.GeneralOptionsPanel.cs: Flush.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* ValaBinding.mdp: Flush project format changes.

2009-01-12  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/EditPackagesDialog.cs: Move package list population into idle handler.

2009-01-12  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ProjectPackage.cs:
	* Project/ProjectPackageCollection.cs: Use relative path 
	for project package references.

2009-01-05  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* ValaBinding.sln:
	* ValaBinding.csproj: Add MSBuild project files.

2009-01-05  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* gtk-gui/gui.stetic: Tooltip cleanup.

2009-01-05  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/CodeGenerationPanel.cs: 
	* Compiler/ValaCompiler.cs: 
	* Project/ValaCompilationParameters.cs: Add support for valac --thread flag.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* ValaBinding.mdp: Don't require a specific version of Mono.Addins.

2008-12-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/ValaTextEditorExtension.cs: Track api changes.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* ValaBinding.mdp: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-21  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs: Display errors originating from gcc.

2008-11-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/ValaProject.cs: Allow executing Vala projects.

2008-11-18  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs: valac no longer supports -D.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in:
	* ValaBinding.addin.xml: Bump MD version.

2008-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Fix tarball name.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/DataProvider.cs:
	* Gui/ValaTextEditorExtension.cs: Track APIs.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/DataProvider.cs: Track CompletionData API.

2008-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/DataProvider.cs: Track API.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/ValaProject.cs: Track API.

2008-09-29  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/DataProvider.cs: Track API.

2008-09-23  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/DataProvider.cs: Track changes in completion API.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* ValaBinding.mdp: Updated projects.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* ValaLanguageBinding.cs: Fix build.

2008-09-11  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs: More compiler flags tweaking
	for project packages.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* ProjectPad/ProjectPackagesFolderNodeBuilder.cs,
	  ProjectPad/ProjectPackageNodeBuilder.cs,
	  ProjectPad/ProjectReferencesExtension.cs,
	  ProjectPad/ProjectNodeExtension.cs,
	  Navigation/StructureNodeBuilder.cs,
	  Navigation/TypedefNodeBuilder.cs, Navigation/MacroNodeBuilder.cs,
	  Navigation/ProjectNodeBuilderExtension.cs,
	  Navigation/ClassNodeBuilder.cs, Navigation/MemberNodeBuilder.cs,
	  Navigation/EnumeratorNodeBuilder.cs,
	  Navigation/LanguageItemCommandHandler.cs,
	  Navigation/GlobalsNodeBuilder.cs,
	  Navigation/VariableNodeBuilder.cs,
	  Navigation/FunctionNodeBuilder.cs,
	  Navigation/EnumerationNodeBuilder.cs,
	  Navigation/UnionNodeBuilder.cs, Navigation/NamespaceNodeBuilder.cs,
	  Navigation/MacroDefinitionsNodeBuilder.cs: Moved the extensible
	  tree view to its own directory.

2008-09-03  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs: Add output directory to library path 
	for project packages.

2008-09-03  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs: Only generate .deps file 
	for shared library targets.

2008-08-28  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs: Generate .deps file on library compilation.

2008-08-21  Lluis Sanchez Gual <lluis@novell.com> 

	* ProjectPad/ProjectResourcesExtension.cs, ValaBinding.addin.xml,
	  ValaBinding.mdp, gtk-gui/objects.xml, Makefile.am: Resources folder
	  has been removed.

2008-08-18  Lluis Sanchez Gual <lluis@novell.com> 

	* ValaBinding.mdp: Fix reference to Mono.TextEditor. The incorrect
	  add-in version number causes problems in the makefile
	  synchronization.

2008-08-12  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs: Fix error parsing for recent valac.

2008-08-12  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/ValaCompiler.cs, Project/ProjectPackage.cs, 
	Project/ValaProject.cs, Gui/EditPackagesDialog.cs:
	Improve dependency and project package handling.
	* templates/ValaTestFixture.xpt.xml, ValaBinding.addin.xml, 
	Makefile.am: Add text fixture project template.
	* templates/ConsoleValaProject.xpt.xml: Cleanup.

2008-08-11  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs, Compiler/ValaCompiler.cs, 
	Project/ProjectPackageCollection.cs, templates/ConsoleValaProject.xpt.xml, 
	templates/EmptyValaProject.xpt.xml, 
	templates/SharedLibraryValaProject.xpt.xml: Add glib-2.0 package
	to new projects by default. Track changes in valac.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/ProjectPackage.cs, Project/ValaCompilationParameters.cs,
	  Project/ValaProject.cs, Project/ValaProjectConfiguration.cs: Moved
	  serialization engine to MonoDevelop.Core. Use new syntax for
	  specifying attribute scope.

2008-06-26  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs: Actually turn on debug mode.

2008-06-18  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ProjectPackage.cs: Search more thoroughly for corresponding
	  .pc files.

2008-06-18  Jerome Haltom <wasabi@larvalstage.net>

	* Gui/EditPackagesDialog.cs: Attempt to detect vapidir.

2008-06-12  Lluis Sanchez Gual <lluis@novell.com> 

	* ValaBinding.mdp, Makefile.am: More makefile fixes.

2008-06-12  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in, Makefile.am: Fix makefile so that it does not directly
	  depend on MD core and it can always be built standalone.
	* ValaBinding.mdp: Enable makefile synchronization.

2008-06-12  Lluis Sanchez Gual <lluis@novell.com> 

	* ValaBinding.mdp: Fix gtk-sharp dependency versions.

2008-06-09  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs, Navigation/ProjectNodeBuilderExtension.cs: 
	  Add tags from packages to class pad and code completion.

2008-06-09  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/*: Update parse data on file removal.

2008-06-09  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/ValaProject.cs: Fix define syntax in generated .pc files.

2008-06-09  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* *: Add package support.

2008-06-04  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com> 

	* *: Add classpad support

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/ValaProject.cs: Track api changes.

2008-03-11  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com> 

	* *: Ported from CBinding
